summaryrefslogtreecommitdiffstats
path: root/source/ap/zsh
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/zsh')
-rw-r--r--source/ap/zsh/doinst.sh6
-rw-r--r--source/ap/zsh/slack-desc19
-rw-r--r--source/ap/zsh/zsh-4.3.10-add_new_pkg_completion.diff26
-rwxr-xr-xsource/ap/zsh/zsh.SlackBuild116
4 files changed, 167 insertions, 0 deletions
diff --git a/source/ap/zsh/doinst.sh b/source/ap/zsh/doinst.sh
new file mode 100644
index 000000000..5a862deb6
--- /dev/null
+++ b/source/ap/zsh/doinst.sh
@@ -0,0 +1,6 @@
+if ! grep zsh etc/shells 1> /dev/null 2> /dev/null; then
+ echo "/bin/zsh" >> etc/shells
+fi
+if [ ! -e etc/zprofile ]; then
+ ( cd etc ; ln -sf profile zprofile )
+fi
diff --git a/source/ap/zsh/slack-desc b/source/ap/zsh/slack-desc
new file mode 100644
index 000000000..8d9290001
--- /dev/null
+++ b/source/ap/zsh/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+zsh: zsh (the Z shell)
+zsh:
+zsh: Zsh is a UNIX command interpreter (shell) which of the standard shells
+zsh: most resembles the Korn shell (ksh), although it is not completely
+zsh: compatible. It includes enhancements of many types, notably in the
+zsh: command-line editor, options for customizing its behavior, filename
+zsh: globbing, features to make C-shell (csh) users feel more at home and
+zsh: extra features drawn from tcsh (another 'custom' shell). Zsh was
+zsh: written by Paul Falstad.
+zsh:
+zsh:
diff --git a/source/ap/zsh/zsh-4.3.10-add_new_pkg_completion.diff b/source/ap/zsh/zsh-4.3.10-add_new_pkg_completion.diff
new file mode 100644
index 000000000..a30665a0e
--- /dev/null
+++ b/source/ap/zsh/zsh-4.3.10-add_new_pkg_completion.diff
@@ -0,0 +1,26 @@
+diff -Naur zsh-4.3.10.old/Completion/Linux/Command/_pkgtool zsh-4.3.10/Completion/Linux/Command/_pkgtool
+--- zsh-4.3.10.old/Completion/Linux/Command/_pkgtool 2005-06-24 10:15:27.000000000 -0400
++++ zsh-4.3.10/Completion/Linux/Command/_pkgtool 2009-07-07 20:39:01.000000000 -0400
+@@ -12,7 +12,7 @@
+ "-ask[always ask on package installation regardless of package's priority]" \
+ '-priority[provide a priority for the entire package list to use]:priority list:(ADD REC OPT SKP)' \
+ '-tagfile[specify a different file to use for package priorities]:tagfile:_files -/' \
+- '*:package file:_files -g "*.tgz(-.)"'
++ '*:package file:_files -g "*.t[gblx]z(-.)"'
+ ;;
+
+ removepkg)
+@@ -29,11 +29,11 @@
+ '--install-new[install new packages in addition to upgrading existing ones]' \
+ '--reinstall[upgrade even when the same version is already installed]' \
+ '--verbose[show all the gory details of the upgrade]' \
+- '*:package file:_files -g "*.tgz(-.)"'
++ '*:package file:_files -g "*.t[gblx]z(-.)"'
+ ;;
+
+ explodepkg)
+- _wanted file expl 'package file' _files -g '*.tgz(-.)'
++ _wanted file expl 'package file' _files -g '*.t[gblx]z(-.)'
+ ;;
+
+ makepkg)
diff --git a/source/ap/zsh/zsh.SlackBuild b/source/ap/zsh/zsh.SlackBuild
new file mode 100755
index 000000000..2a874fbf3
--- /dev/null
+++ b/source/ap/zsh/zsh.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=4.3.10
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-1}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-zsh
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf zsh-$VERSION
+tar xvf $CWD/zsh-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/zsh-$VERSION-doc.tar.?z* || exit 1
+cd zsh-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Add t[blx]z to the zsh tab completion stuff
+zcat $CWD/zsh-4.3.10-add_new_pkg_completion.diff.gz | patch -p1 || exit 1
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/zsh-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mv $PKG/usr/bin $PKG
+( cd $PKG/bin ; ln -sf zsh zsh-$VERSION )
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/etc
+
+mkdir -p $PKG/usr/doc/zsh-$VERSION/html-docs
+cp -a INSTALL LICENCE META-FAQ README $PKG/usr/doc/zsh-$VERSION
+cp -a Doc/*.html $PKG/usr/doc/zsh-$VERSION/html-docs
+
+mkdir -p $PKG/usr/info
+cp -a Doc/*info* $PKG/usr/info
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+mkdir $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/zsh-$VERSION-$ARCH-$BUILD.txz
+